# OauthService | windmill-client
Documentation for windmill-client

# Class OauthService

- Defined in src/services.gen.ts:1893

#####
Index

### Constructors

constructor

### Methods

connectCallback
connectSlackCallback
createAccount
disconnectAccount
disconnectSlack
getOauthConnect
listOauthConnects
listOauthLogins
refreshToken

##
Constructors

### constructor

- new OauthService(): OauthService

- #### Returns OauthService

##
Methods

### `Static` connectCallback

- connectCallback(data): CancelablePromise < TokenResponse >

- connect callback

  #### Parameters

  - data: ConnectCallbackData

    The data for the request.

  #### Returns CancelablePromise < TokenResponse >

  TokenResponse oauth token

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1922

### `Static` connectSlackCallback

- connectSlackCallback(data): CancelablePromise <string>

- connect slack callback

  #### Parameters

  - data: ConnectSlackCallbackData

    The data for the request.

  #### Returns CancelablePromise <string>

  string slack token

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1902

### `Static` createAccount

- createAccount(data): CancelablePromise <string>

- create OAuth account

  #### Parameters

  - data: CreateAccountData

    The data for the request.

  #### Returns CancelablePromise <string>

  string account set

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1942

### `Static` disconnectAccount

- disconnectAccount(data): CancelablePromise <string>

- disconnect account

  #### Parameters

  - data: DisconnectAccountData

    The data for the request.

  #### Returns CancelablePromise <string>

  string disconnected client

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1984

### `Static` disconnectSlack

- disconnectSlack(data): CancelablePromise <string>

- disconnect slack

  #### Parameters

  - data: DisconnectSlackData

    The data for the request.

  #### Returns CancelablePromise <string>

  string disconnected slack

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2002

### `Static` getOauthConnect

- getOauthConnect(data): CancelablePromise < GetOauthConnectResponse >

- get oauth connect

  #### Parameters

  - data: GetOauthConnectData

    The data for the request.

  #### Returns CancelablePromise < GetOauthConnectResponse >

  unknown get

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2043

### `Static` listOauthConnects

- listOauthConnects(): CancelablePromise < ListOauthConnectsResponse >

- list oauth connects

  #### Returns CancelablePromise < ListOauthConnectsResponse >

  string list of oauth connects clients

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2029

### `Static` listOauthLogins

- listOauthLogins(): CancelablePromise < ListOauthLoginsResponse >

- list oauth logins

  #### Returns CancelablePromise < ListOauthLoginsResponse >

  unknown list of oauth and saml login clients

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:2017

### `Static` refreshToken

- refreshToken(data): CancelablePromise <string>

- refresh token

  #### Parameters

  - data: RefreshTokenData

    The data for the request.

  #### Returns CancelablePromise <string>

  string token refreshed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:1963